<< bilinear | FOSSEE_Signal_Processing_Toolbox | blackman >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > bitrevorder

# bitrevorder

Return input data in bit-reversed order.

### Syntax

    [y, i] = bitrevorder(x)
    y = bitrevorder(x)

### Parameters

x:

  Vector of real or complex values.

y:

  Input vector in bit-reversed order.

i:

  Indices corresponding to the bit-reversed order.

### Description

This function returns the input data after reversing the bits of the indices and reordering the elements of the input array.

### Examples

    x = [%i, 1, 3, 6*%i];
    [y, i] = bitrevorder(x)

### See also

- digitrevorder — Returns input data in digit-reversed order.

Report an issue
<< bilinear | FOSSEE_Signal_Processing_Toolbox | blackman >>